import { Route } from '@angular/router';
import { ListAllMemberResolver } from 'app/shared/resolvers/member.resolver';

import { ListComponent } from './components/list.component';

import { ListSlotResolver } from './resolvers/slot.resolver';

export const slotRoutes: Route[] = [
  {
    path: '',
    component: ListComponent,
    resolve: {
      listBettingHistory: ListSlotResolver,
      listMember: ListAllMemberResolver,
    },
  },
];
